Skip to main content
GET
/
registrar
/
v1
/
domains
/
{domain_name}
Get domain details
curl --request GET \
  --url https://www.atom.com/api/registrar/v1/domains/{domain_name} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://www.atom.com/api/registrar/v1/domains/{domain_name}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://www.atom.com/api/registrar/v1/domains/{domain_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "domain_name": "example.com",
    "status": "active",
    "whois_status": [
      "clientTransferProhibited",
      "ok"
    ],
    "extension": "com",
    "created_date": "2023-11-07T05:31:56Z",
    "updated_date": "2023-11-07T05:31:56Z",
    "expiry_date": "2023-11-07T05:31:56Z",
    "auto_renew": true,
    "auto_renew_period": 12,
    "privacy_protect": false,
    "transfer_locked": true,
    "dnssec_enabled": false,
    "nameservers": [
      "ns1.atom.com",
      "ns2.atom.com"
    ],
    "registrant_handle": "REG_12345",
    "admin_handle": "<string>",
    "tech_handle": "<string>",
    "billing_handle": "<string>",
    "registrant_contact": {
      "name": "<string>",
      "email": "<string>",
      "organization": "<string>"
    }
  }
}
{
"success": false,
"error": "Bad Request",
"message": "Invalid input provided"
}
{
"success": false,
"error": "Unauthorized",
"message": "Invalid registrar API token or access has been revoked. Please request registrar API access from your dashboard."
}
{
"success": false,
"error": "Bad Request",
"message": "Invalid input provided"
}
{
"success": false,
"error": "Bad Request",
"message": "Invalid input provided"
}

Authorizations

Authorization
string
header
required

Registrar API Bearer token. Obtain from dashboard at /dashboard/seller/api-access after requesting Registrar API access.

Path Parameters

domain_name
string
required

Domain name (e.g., 'example.com')

Response

Successful operation

success
boolean
Example:

true

data
object